#
# spec file for package fbset (Version 2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         fbset
Copyright:    GPL
Group:	      Utilities/Console
Autoreqprov:  on
Summary:      Framebuffer configuration tool
Version:      2.1
Release:      306
URL:          http://home.tvd.be/cr26864/Linux/fbdev/
Source:       fbset-2.1.tar.bz2
Source1:      fb.modes.gz
Source2:      fbset.fillup
Source3:      rcfbset
Patch:        fbset-destdir.diff
BuildRoot:    %{_tmppath}/%{name}-buildroot

%description
Utility to tweak resolutions, refresh rates, etc. of the Linux framebuffer
console devices.
Please note that some frame buffers do not support this, for example the
VESA frame buffer "vesafb".

Authors:
--------
    Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>

SuSE series: ap

%prep
%setup
%patch -p1

%build
make

%install
make install DESTDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT/%{_mandir} \
	INFODIR=$RPM_BUILD_ROOT/%{_infodir} DOCDIR=$RPM_BUILD_ROOT/%{_docdir}
mkdir -p $RPM_BUILD_ROOT/etc
gunzip -dc $RPM_SOURCE_DIR/fb.modes.gz >$RPM_BUILD_ROOT/etc/fb.modes
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -o root -g root $RPM_SOURCE_DIR/fbset.fillup $RPM_BUILD_ROOT/var/adm/fillup-templates/
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 0744 -o root -g root $RPM_SOURCE_DIR/rcfbset $RPM_BUILD_ROOT/etc/init.d/fbset
mkdir -p $RPM_BUILD_ROOT/usr/sbin
ln -sf ../../etc/init.d/fbset $RPM_BUILD_ROOT/usr/sbin/rcfbset

%files
/usr/sbin/fbset
%doc /usr/share/man/man8/fbset.8.gz
%doc /usr/share/man/man5/fb.modes.5.gz
%config(noreplace) /etc/fb.modes
/var/adm/fillup-templates/fbset.fillup
%config /etc/init.d/fbset
/usr/sbin/rcfbset

%clean
rm -rf $RPM_BUILD_ROOT

%post
sbin/insserv etc/init.d/fbset
echo "Updating etc/rc.config ..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/fbset.fillup
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/fbset.fillup"
  echo "and update manually."
fi

%postun
sbin/insserv etc/init.d

%changelog -n fbset
* Thu May 10 2001 - garloff@suse.de
- Simplify init script
* Mon May 07 2001 - garloff@suse.de
- Add some more modes to fb.modes
- Provide startup script that allows to
  * load FB modules
  * use fbset to modify your console video mode
* Fri Mar 09 2001 - olh@suse.de
- add 832x624 and 1600x1024
* Wed Nov 29 2000 - vinil@suse.cz
- homepage updated
- spec file beautified
- source bzip2ed
* Thu May 25 2000 - garloff@suse.de
- Use BuildRoot.
* Sat Feb 05 2000 - garloff@suse.de
- move manpages to /usr/share/man.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 26 1999 - garloff@suse.de
- New fb.modes to fix 800x600-100 and include 768x576 modes.
* Tue Jul 20 1999 - garloff@suse.de
- Initial check in.
- Tweaked Makefile install to set /dev/fb? root.video 0660
